Bug 197618 - Bibus finalize fails in OO.org with "general input/output error" on save due to invalid private:stream "save as" folder name
Bibus finalize fails in OO.org with "general input/output error" on save due ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 15:16 EDT by Manuel Morales
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 04:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix this problem (2.55 KB, patch)
2006-07-07 10:35 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64206 None None None Never

  None (edit)
Description Manuel Morales 2006-07-04 15:16:00 EDT
Description of problem: I use the program Bibus
(http://http://bibus-biblio.sourceforge.net) to format bibliographies in
opennoffice. I get a "general input/output error" when trying to save the final
version of the document after finalizing. Interestingly, this problem was also
reported for users of Ubuntu Breezy but was fixed in Ubuntu Dapper.


Version-Release number of selected component (if applicable): OO.org >= 2.0.2 (I
think).


How reproducible: Always


Steps to Reproduce:
1. Create bibliography using Bibus and OO.org
2. Finalize
3. Save as file.
  
Actual results: General input/output error.

Expected results: New file is saved.

Additional info: Link describing error and fix in Ubuntu ->
http://sourceforge.net/forum/forum.php?thread_id=1485749&forum_id=380178
Comment 1 Caolan McNamara 2006-07-05 02:50:14 EDT
The fix isn't actually desrcibed there except that upgrading the ubuntu version
fixes is, yes ?
Comment 2 Caolan McNamara 2006-07-05 04:29:11 EDT
Hmm, I installed bibus and it worked (in a simple test anyway) for me with 2.0.3
as found in rawhide, can you try with the latest update of OOo for FC-5
(2.0.2-5.16.2) and confirm that it still has problems ?

This is when I run finalize, get a new writer window, and then use file->save as
on the new windows the one with something like "private:stream" in it's titlebar ?
Comment 3 Manuel Morales 2006-07-05 20:19:43 EDT
Re: Comment #1: Yes, the link is just to confirm that this problem existed in
another distro but was resolved with an updated version of OO.org (or some other
component).

Re: Comment #2: This problem persists with 2.0.2-5.16.2. Will there be a 2.0.3
update for FC5? Is it possible to recompile the rawhide rpms for FC5?
Comment 4 Caolan McNamara 2006-07-06 03:27:45 EDT
Need to reproduce it with 2.0.2 before I can be sure it is fixed in 2.0.3, and
that it's not a fix in e.g. bibus itself on in python.
Comment 5 Caolan McNamara 2006-07-06 04:37:30 EDT
I can reproduce this on 2.0.2, will investigate
Comment 6 Caolan McNamara 2006-07-07 10:35:52 EDT
Created attachment 132056 [details]
patch to fix this problem
Comment 7 Caolan McNamara 2006-07-07 10:45:53 EDT
A fix for this now checked into FC5 branch, if there's another respin and
release for FC5-updates then it will be included
Comment 8 Fedora Update System 2006-07-22 15:02:08 EDT
openoffice.org-2.0.2-5.17.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 9 Fedora Update System 2006-07-31 15:55:30 EDT
openoffice.org-2.0.2-5.17.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.